Bug 39331 - Skip IP / MAC / DNS registration while joining a docker container
Skip IP / MAC / DNS registration while joining a docker container
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Stefan Gohmann
Dirk Wiesenthal
: interim-1
Depends on: 38437
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 15:07 CEST by Stefan Gohmann
Modified: 2015-11-17 12:12 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-09-11 15:07:02 CEST
The parameter -skipIpMac should be used by default if a Docker App is installed via App Center.

+++ This bug was initially created as a clone of Bug #38437 +++

By default the docker container shouldn't register its IP or MAC address.
Comment 1 Stefan Gohmann univentionstaff 2015-09-15 06:01:59 CEST
fixed, I've added the -skipIpMac in univention-docker-container-mode:
 usr/share/univention-docker-container-mode/setup

r63684
Comment 2 Stefan Gohmann univentionstaff 2015-09-26 13:56:29 CEST
I've added the bug number to the changelog: r64007
Comment 3 Dirk Wiesenthal univentionstaff 2015-09-29 14:35:19 CEST
Tested in
  tests/80_docker/51_app_install
Comment 4 Stefan Gohmann univentionstaff 2015-11-17 12:12:42 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".